<TeXmacs|1.99.5>

<style|<tuple|beamer|mathemagix|vdh|pari|caas>>

<\body>
  <\hide-preamble>
    <assign|smash*|<macro|body|<vresize|<arg|body>|0ex|1.5ex>>>
  </hide-preamble>

  <screens|<\shown>
    <\with|par-mode|center>
      <strong|<\with|font-base-size|15>
        <strong|Mathematical Font Art>
      </with>>

      Joris van der Hoeven

      <small|CNRS, cole polytechnique>
    </with>

    <\with|par-mode|center>
      <tabular*|<tformat|<cwith|1|1|2|2|cell-valign|c>|<table|<row|<cell|
      >|<cell|>|<cell|>>|<row|<cell|>|<cell|<img|<image|texmacs-chip.ps|0.6w|0.6h||>>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<strong|ICMS,
      Berlin, July 14, 2016<rsub|<math|<rsub|>>>>>|<cell|>>|<row|<cell|>|<cell|<verbatim|http://www.<anim-repeat|<anim-compose|<anim-constant|<with|color|brown|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|dark
      green|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>|<anim-constant|<with|color|dark
      green|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>>>.org>>|<cell|>>>>>
    </with>

    \;
  </shown>|<\hidden>
    <tit|Overview>

    \;

    <\description>
      <unroll|<\shown>
        <item*|Challenge>

        Use standard fonts on your system as mathematical fonts.
      </shown>|<\hidden*>
        <item*|Difficulties>

        <\itemize>
          <item>Lack of the most important font declinations as needed in
          scientific documents: <strong|Bold>, <em|Italic>, <name|Small
          Capitals>, <samp|Sans Serif>, <verbatim|Typewriter>.

          <item>Lack of specific glyphs: non English languages, mathematical
          symbols, and in particular big operators, extensible brackets and
          wide accents.

          <item>Inconsistencies: sloppy design of some glyphs that are
          important for mathematics (such as <math|->, <math|\<less\>>,
          <abbr|etc.>), leading to inconsistencies.
        </itemize>
      </hidden*>|<\hidden*>
        <item*|Only aim at modest quality>

        <\itemize>
          <item>Produce something that \Plooks nice\Q at first sight.

          <item>May not be as good as hand designed fonts for high quality
          typesetting.
        </itemize>
      </hidden*>|<\hidden*>
        <item*|Approach>

        Combination of \Psubstitution\Q and \Pemulation\Q both for fonts and
        glyphs.
      </hidden*>>
    </description>
  </hidden>|<\hidden>
    <tit|Font analysis and font substitution>

    <unroll|<\shown>
      <\padded>
        <\with|par-first|0tab>
          <\indent>
            <with|font|smallcaps=termes,Justus|font-family|rm|The symbols
            <math|\<#3B1\>>, <math|\<beta\>>, <math|\<gamma\>> are acceptable
            inside <math|x+\<alpha\>+y+\<beta\>+z+\<gamma\>>.>

            <with|font|Papyrus|The symbols <math|<with|font|Marker
            Felt|\<alpha\>>,<with|font|Marker
            Felt|\<beta\>>,<with|font|Marker Felt|\<gamma\>>> do not look
            very well inside <math|x+<with|font|Marker
            Felt|\<alpha\>>+y+<with|font|Marker
            Felt|\<beta\>>+z+<with|font|Marker Felt|\<gamma\>>>.>
          </indent>
        </with>
      </padded>
    </shown>|<\hidden*>
      <strong|Idea.>

      <\itemize>
        <item> Automatically determine major font characteristics
        <math|\<rightsquigarrow\>> metric on fonts.

        <item>Find substitution fonts that are closest according to this
        metric.
      </itemize>
    </hidden*>|<\hidden*>
      <strong|Typical characteristics.>

      <\itemize>
        <item>Discrete ones: sans serif, small capitals, handwritten,
        ancient, gothic, <abbr|etc.>.

        <item>Italic slant.

        <item>Height of an \Px\Q symbol, ascent above and descent below
        the<nbsp>\Px\Q symbol.

        <item>Horizontal and vertical stroke widths in \Po\Q and \PO\Q
        symbols.

        <item>Average aspect-ratios of uppercase and lowercase letters
        (\Pnarrowness\Q).

        <item>Average area of glyphs that is filled (related to weight).
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Poor man font emulation>

    <unroll|<\shown>
      <anim-static|<morph|<tuple|0|<with|embold-strength|1|<embold|<with|magnification|4|Emboldened>>>>|<tuple|1|<with|embold-strength|4|<embold|<with|magnification|4|Emboldened>>>>>|5sec|0.1s|0s>
      <vspace|0.5fn>

      <anim-static|<morph|<tuple|0|<with|slanted-slope|0.0|<slanted|<with|magnification|4|Slanted>>>>|<tuple|1|<with|slanted-slope|0.3333|<slanted|<with|magnification|4|Slanted>>>>>|5sec|0.1s|5.0s>
      <vspace|0.5fn>

      <with|magnification|4|Small C<with|vmagnified-factor|0.7|<vmagnified|APITALS>>
      or C<with|hmagnified-factor|0.8|<hmagnified|<with|vmagnified-factor|0.7|<vmagnified|APITALS>>>>>
      <vspace|0.5fn>
    </shown>|<\hidden*>
      <with|magnification|4|<with|hmagnified-factor|1.2|<hmagnified|Magnified>>
      or <with|extended-factor|1.1|<extended|Extended>>> <vspace|0.5fn>
    </hidden*>|<\hidden*>
      <with|magnification|4|<embbb|Blackboard Bold>>\ 

      <switch|<\shown>
        <with|gr-mode|<tuple|edit|cline>|gr-frame|<tuple|scale|2.37854cm|<tuple|0.48586gw|0.499999gh>>|gr-geometry|<tuple|geometry|0.386951par|0.273871par|center>|gr-fill-color|black|magnify|2.37841422853212|<graphics||<with|fill-color|black|<cline|<point|-0.5|0.7>|<point|-0.5|1.0>|<point|1.0|1.0>|<point|-0.2|-0.9>|<point|0.8|-0.9>|<point|1.0|-0.7>|<point|1.0|-1.0>|<point|-0.5|-1.0>|<point|0.7|0.9>|<point|-0.3|0.9>>>>>
      </shown>|<\hidden>
        <with|gr-mode|<tuple|edit|point>|gr-frame|<tuple|scale|2.37854cm|<tuple|0.48586gw|0.499999gh>>|gr-geometry|<tuple|geometry|0.386951par|0.273871par|center>|magnify|2.37841422853212|gr-color|red|gr-arrow-end|\<gtr\>|<graphics||<with|fill-color|black|<cline|<point|-0.5|0.7>|<point|-0.5|1.0>|<point|1.0|1.0>|<point|-0.2|-0.9>|<point|0.8|-0.9>|<point|1.0|-0.7>|<point|1.0|-1.0>|<point|-0.5|-1.0>|<point|0.7|0.9>|<point|-0.3|0.9>>>|<with|color|red|arrow-end|\<gtr\>|<line|<point|-1|0>|<point|0.1|0.0>>>|<with|color|red|<point|0.1|0>>>>
      </hidden>|<\hidden>
        <with|gr-mode|<tuple|group-edit|edit-props>|gr-frame|<tuple|scale|2.37854cm|<tuple|0.48586gw|0.499999gh>>|gr-geometry|<tuple|geometry|0.386951par|0.273871par|center>|magnify|2.37841422853212|gr-color|red|<graphics||<with|fill-color|black|<cline|<point|-0.5|0.7>|<point|-0.5|1.0>|<point|1.0|1.0>|<point|-0.2|-0.9>|<point|0.8|-0.9>|<point|1.0|-0.7>|<point|1.0|-1.0>|<point|-0.5|-1.0>|<point|0.7|0.9>|<point|-0.3|0.9>>>|<with|color|red|line-width|2ln|<line|<point|0.7|0.9>|<point|-0.5|-1.0>>>|<with|color|red|line-width|2ln|<line|<point|-0.5|1>|<point|-0.5|0.9>>>|<with|color|red|arrow-end|\<gtr\>|<line|<point|-1.2|1>|<point|-0.7|1.0>>>|<with|color|red|arrow-end|\<gtr\>|<line|<point|-1.2|0.5>|<point|-0.7|0.5>>>|<with|color|red|arrow-end|\<gtr\>|<line|<point|-1.2|0>|<point|-0.7|0.0>>>|<with|color|red|arrow-end|\<gtr\>|<line|<point|-1.2|-0.5>|<point|-0.7|-0.5>>>|<with|color|red|arrow-end|\<gtr\>|<line|<point|-1.2|-1>|<point|-0.7|-1.0>>>>>
      </hidden>|<\hidden>
        <with|gr-mode|<tuple|edit|cline>|gr-frame|<tuple|scale|2.37854cm|<tuple|0.48586gw|0.499999gh>>|gr-geometry|<tuple|geometry|0.386951par|0.273871par|center>|magnify|2.37841422853212|gr-fill-color|black|<graphics||<with|fill-color|black|<cline|<point|-1.0|0.7>|<point|-1.0|1.0>|<point|1.0|1.0>|<point|-0.2|-0.9>|<point|0.8|-0.9>|<point|1.0|-0.7>|<point|1.0|-1.0>|<point|-1.0|-1.0>|<point|0.2|0.9>|<point|-0.8|0.9>>>>>
      </hidden>|<\hidden>
        <with|gr-mode|<tuple|edit|cline>|gr-frame|<tuple|scale|2.37854cm|<tuple|0.48586gw|0.499999gh>>|gr-geometry|<tuple|geometry|0.386951par|0.273871par|center>|magnify|2.37841422853212|gr-fill-color|white|gr-line-width|0ln|gr-color|white|<graphics||<with|fill-color|black|<cline|<point|-1.0|0.7>|<point|-1.0|1.0>|<point|1.0|1.0>|<point|-0.2|-0.9>|<point|0.8|-0.9>|<point|1.0|-0.7>|<point|1.0|-1.0>|<point|-1.0|-1.0>|<point|0.2|0.9>|<point|-0.8|0.9>>>|<with|color|white|fill-color|white|line-width|0ln|<cline|<point|0.4|0.9>|<point|0.75|0.9>|<point|-0.4|-0.9>|<point|-0.7|-0.9>>>>>
      </hidden>>
    </hidden*>>

    \;
  </hidden>|<\hidden>
    <tit|Poor man emulation for various fonts>

    \;

    <\big-figure|<with|font-family|rm|<tabular|<tformat|<cwith|9|9|1|-1|font|Papyrus>|<cwith|8|8|1|-1|font|Comic
    MS>|<cwith|1|-1|1|-1|cell-bsep|0.5spc>|<cwith|1|-1|1|-1|cell-tsep|0.5spc>|<cwith|2|2|1|-1|font|Cochin>|<cwith|1|1|1|-1|cell-tborder|0ln>|<cwith|1|1|1|-1|cell-bborder|1ln>|<cwith|2|2|1|-1|cell-tborder|1ln>|<cwith|1|1|6|6|cell-rborder|0ln>|<cwith|1|1|1|1|cell-tborder|0ln>|<cwith|9|9|1|1|cell-bborder|0ln>|<cwith|1|-1|1|1|cell-lborder|0ln>|<cwith|1|-1|1|1|cell-rborder|1ln>|<cwith|1|-1|2|2|cell-lborder|1ln>|<cwith|7|7|1|-1|font|Chalkduster>|<cwith|7|7|1|-1|font-base-size|8>|<cwith|5|5|1|-1|font|Essays1743>|<cwith|6|6|1|-1|font|Meyne
    Textur>|<cwith|4|4|1|6|cell-bsep|0.5spc>|<cwith|4|4|1|6|cell-tsep|0.5spc>|<cwith|4|4|1|1|cell-lborder|0ln>|<cwith|4|4|1|1|cell-rborder|1ln>|<cwith|4|4|2|2|cell-lborder|1ln>|<cwith|4|4|1|6|font|Chartrand>|<cwith|3|3|1|6|cell-bsep|0.5spc>|<cwith|3|3|1|6|cell-tsep|0.5spc>|<cwith|3|3|1|6|font|Cochin>|<cwith|3|3|1|1|cell-rborder|1ln>|<cwith|3|3|2|2|cell-lborder|1ln>|<cwith|2|2|1|6|cell-bsep|0.5spc>|<cwith|2|2|1|6|cell-tsep|0.5spc>|<cwith|2|2|1|1|cell-lborder|0ln>|<cwith|2|2|1|1|cell-rborder|1ln>|<cwith|2|2|2|2|cell-lborder|1ln>|<cwith|2|2|1|6|font|Optima>|<cwith|3|3|1|-1|cell-tborder|0ln>|<cwith|2|2|1|-1|cell-bborder|0ln>|<cwith|3|3|1|-1|cell-bborder|0ln>|<cwith|3|3|1|1|cell-lborder|0ln>|<cwith|3|3|6|6|cell-rborder|0ln>|<table|<row|<cell|Regular>|<cell|Bold>|<cell|Italic>|<cell|Small
    Caps>|<cell|Blackboard Bold>|<cell|Mathematics>>|<row|<cell|Optima>|<cell|<strong|Bold><rsup|*>>|<cell|<em|Italic>>|<cell|<name|Small
    Caps>>|<cell|<math|\<bbb-C\>>, <math|\<bbb-N\>>, <math|\<bbb-Q\>>,
    <math|\<bbb-R\>>, <math|\<bbb-Z\>>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>|<row|<cell|Cochin>|<cell|<strong|Bold><rsup|<with|font|roman|*>>>|<cell|<em|Italic><rsup|<with|font|roman|*>>>|<cell|<name|Small
    Caps>>|<cell|<math|\<bbb-C\>>, <math|\<bbb-N\>>, <math|\<bbb-Q\>>,
    <math|\<bbb-R\>>, <math|\<bbb-Z\>>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>|<row|<cell|Chartrand>|<cell|<strong|Bold>>|<cell|<em|Italic>>|<cell|<name|Small
    Caps>>|<cell|<math|\<bbb-C\>>, <math|\<bbb-N\>>, <math|\<bbb-Q\>>,
    <math|\<bbb-R\>>, <math|\<bbb-Z\>>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>|<row|<cell|Essays1743>|<cell|<strong|Bold><rsup|*>>|<cell|<em|Italic><rsup|*>>|<cell|<name|Small
    Caps>>|<cell|<math|\<bbb-C\>>,<space|-0.4spc>
    <math|\<bbb-N\>>,<space|-0.4spc> <math|\<bbb-Q\>>,<space|-0.4spc>
    <math|\<bbb-R\>>,<space|-0.4spc> <math|\<bbb-Z\>><rsup|*>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>|<row|<cell|Meyne
    Textur>|<cell|<strong|Bold>>|<cell|<em|Italic>>|<cell|<with|font-shape|small-caps|Small
    Caps>>|<cell|<math|\<bbb-C\>>, <math|\<bbb-N\>>, <math|\<bbb-Q\>>,
    <math|\<bbb-R\>>, <math|\<bbb-Z\>>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>|<row|<cell|Chalkduster>|<cell|<strong|Bold>>|<cell|<em|Italic>>|<cell|<name|Small
    Caps>>|<cell|<math|\<bbb-C\>>, <math|\<bbb-N\>>, <math|\<bbb-Q\>>,
    <math|\<bbb-R\>>, <math|\<bbb-Z\>>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>|<row|<cell|Comic
    Sans>|<cell|<strong|Bold>>|<cell|<em|Italic>>|<cell|<name|Small
    Caps>>|<cell|<math|\<bbb-C\>>, <math|\<bbb-N\>>, <math|\<bbb-Q\>>,
    <math|\<bbb-R\>>, <math|\<bbb-Z\>>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>|<row|<cell|Papyrus>|<cell|<strong|Bold>>|<cell|<em|Italic>>|<cell|<name|Small
    Caps>>|<cell|<math|\<bbb-C\>>, <math|\<bbb-N\>>, <math|\<bbb-Q\>>,
    <math|\<bbb-R\>>, <math|\<bbb-Z\>>>|<cell|<math|x<rsup|2>+f<around*|(|x,<frac|a|b+c>|)>>>>>>>>>
      Emulation of bold, italic, small capitals and blackboard bold.

      <no-indent>* These declinations are already supported by the original
      font.
    </big-figure>
  </hidden>|<\hidden>
    <tit|Virtual characters>

    <\description>
      <unroll|<\shown>
        <item*|Superposition>

        <\equation*>
          <with|font|Chalkboard|+,-><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|\<pm\>>
        </equation*>
      </shown>|<\hidden*>
        <item*|Clipping>

        <\equation*>
          <with|font|Chalkboard|\<mapsto\>,\<twoheadrightarrow\>><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|<clipped|\<mapsto\>|0w|0ex|0.3w|1.5ex>,<clipped|\<twoheadrightarrow\>|0.3w|0ex|1w|1ex>><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|\<twoheadmapsto\>>
        </equation*>
      </hidden*>|<\hidden*>
        <item*|Linear transformations>

        <\equation*>
          <with|font|Chalkboard|<text|O>,<text|I>><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|<dilate|1|0.6666|<move|<text|O>||0.15fn>>,<text|I>><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|\<Phi\>>
        </equation*>
      </hidden*>|<\hidden*>
        <item*|Simple graphical constructs>Lines, circles, <math|\<ldots\>>

        <\equation*>
          <with|font|Chalkboard|=><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|\<eqset\>><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|\<subset\>>
        </equation*>
      </hidden*>|<\hidden*>
        <item*|Ad hoc operations>

        <\equation*>
          <with|font|Chalkboard|\<less\>><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|\<prec\>><space|8em><with|font|Chalkboard|\<vartriangleleft\>><space|1.5em><with|color|#44C|\<longrightarrow\>><space|1.5em><with|font|Chalkboard|\<blacktriangleleft\>>
        </equation*>
      </hidden*>|<\hidden*>
        <\equation*>
          <anim-static|<morph|<tuple|0|<with|magnification|5|<with|font|Chalkboard|<move|\<longminus\>|-5ln|><move|\<gtr\>|5ln|>>>>|<tuple|1|<with|magnification|5|<with|font|Chalkboard|<move|\<longminus\>|2ln|><move|\<gtr\>|-5ln|>>>>>|5sec|0.1s|5.0s>\<nocomma\>\<nosymbol\>
        </equation*>
      </hidden*>>
    </description>
  </hidden>|<\hidden>
    <tit|Virtual mathematical characters for several fonts>

    \;

    <\big-figure|<with|font-family|rm|<tabular|<tformat|<cwith|10|10|1|-1|font|Papyrus>|<cwith|1|-1|1|-1|cell-bsep|0.5spc>|<cwith|1|-1|1|-1|cell-tsep|0.5spc>|<cwith|1|1|1|-1|cell-tborder|0ln>|<cwith|1|1|1|-1|cell-bborder|1ln>|<cwith|2|2|1|-1|cell-tborder|1ln>|<cwith|1|1|1|1|cell-tborder|0ln>|<cwith|10|10|1|1|cell-bborder|0ln>|<cwith|1|-1|1|1|cell-lborder|0ln>|<cwith|1|-1|1|1|cell-rborder|1ln>|<cwith|1|-1|2|2|cell-lborder|1ln>|<cwith|9|9|1|-1|font|Chalkduster>|<cwith|6|6|1|-1|font|Essays1743>|<cwith|4|4|1|12|cell-bsep|0.5spc>|<cwith|4|4|1|12|cell-tsep|0.5spc>|<cwith|4|4|1|1|cell-lborder|0ln>|<cwith|4|4|1|1|cell-rborder|1ln>|<cwith|3|3|1|12|cell-bsep|0.5spc>|<cwith|3|3|1|12|cell-tsep|0.5spc>|<cwith|3|3|1|1|cell-rborder|1ln>|<cwith|2|2|1|12|cell-bsep|0.5spc>|<cwith|2|2|1|12|cell-tsep|0.5spc>|<cwith|2|2|1|1|cell-lborder|0ln>|<cwith|2|2|1|1|cell-rborder|1ln>|<cwith|3|3|1|-1|cell-tborder|0ln>|<cwith|2|2|1|-1|cell-bborder|0ln>|<cwith|3|3|1|-1|cell-bborder|0ln>|<cwith|3|3|1|1|cell-lborder|0ln>|<cwith|7|7|2|12|cell-bsep|0.5spc>|<cwith|7|7|2|12|cell-tsep|0.5spc>|<cwith|7|7|2|2|cell-lborder|1ln>|<cwith|7|7|2|12|cell-bsep|0.5spc>|<cwith|7|7|2|12|cell-tsep|0.5spc>|<cwith|7|7|1|-1|font|American
    Typewriter>|<cwith|9|9|1|-1|font-base-size|9>|<cwith|1|-1|2|-1|cell-halign|c>|<cwith|8|8|1|20|cell-bsep|0.5spc>|<cwith|8|8|1|20|cell-tsep|0.5spc>|<cwith|8|8|1|1|cell-lborder|0ln>|<cwith|8|8|1|1|cell-rborder|1ln>|<cwith|8|8|2|2|cell-lborder|1ln>|<cwith|8|8|2|20|cell-halign|c>|<cwith|1|-1|2|-1|cell-lsep|0.5spc>|<cwith|1|-1|2|-1|cell-rsep|0.5spc>|<cwith|3|3|1|-1|font|Cochin>|<cwith|2|2|1|-1|font|Optima>|<cwith|8|8|1|-1|font|Chalkboard>|<cwith|4|4|1|-1|font|Didot>|<cwith|5|5|1|22|cell-bsep|0.5spc>|<cwith|5|5|1|22|cell-tsep|0.5spc>|<cwith|5|5|1|1|cell-lborder|0ln>|<cwith|5|5|1|1|cell-rborder|1ln>|<cwith|5|5|2|2|cell-lborder|1ln>|<cwith|5|5|1|12|cell-bsep|0.5spc>|<cwith|5|5|1|12|cell-tsep|0.5spc>|<cwith|5|5|1|1|cell-lborder|0ln>|<cwith|5|5|1|1|cell-rborder|1ln>|<cwith|5|5|2|22|cell-halign|c>|<cwith|5|5|2|22|cell-lsep|0.5spc>|<cwith|5|5|2|22|cell-rsep|0.5spc>|<cwith|5|5|1|-1|font|Cuprum>|<cwith|11|11|1|22|cell-bsep|0.5spc>|<cwith|11|11|1|22|cell-tsep|0.5spc>|<cwith|11|11|1|1|cell-bborder|0ln>|<cwith|11|11|1|1|cell-lborder|0ln>|<cwith|11|11|1|1|cell-rborder|1ln>|<cwith|11|11|2|2|cell-lborder|1ln>|<cwith|11|11|2|22|cell-halign|c>|<cwith|11|11|2|22|cell-lsep|0.5spc>|<cwith|11|11|2|22|cell-rsep|0.5spc>|<cwith|11|11|1|-1|font|Paper
    Cuts 2>|<table|<row|<cell|>|<cell|\<Gamma\>>|<cell|\<Delta\>>|<cell|\<Theta\>>|<cell|\<Lambda\>>|<cell|\<Xi\>>|<cell|\<Pi\>>|<cell|\<Sigma\>>|<cell|\<Upsilon\>>|<cell|\<Phi\>>|<cell|\<Psi\>>|<cell|\<Omega\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|><math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Optima>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Cochin>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Didot>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Cuprum>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Essays1743>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|<small|Am.
    Typewr.>>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Chalkboard>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Chalkduster>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Papyrus>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|<math|\<asympasymp\>>>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>|<row|<cell|Paper
    Cuts>|<cell|\<Gamma*\>>|<cell|\<Delta*\>>|<cell|\<Theta*\>>|<cell|\<Lambda*\>>|<cell|\<Xi*\>>|<cell|\<Pi*\>>|<cell|\<Sigma*\>>|<cell|\<Upsilon*\>>|<cell|\<Phi*\>>|<cell|\<Psi*\>>|<cell|\<Omega*\>>|<cell|<math|\<mp\>>>|<cell|<math|\<assign\>>>|<cell|<math|\<approxeq\>>>|<cell|>|<cell|<math|\<nVdash\>>>|<cell|<math|\<rightarrow\>>>|<cell|<math|\<leftrightharpoons\>>>|<cell|<math|\<lneq\>>>|<cell|<math|\<varsqsubsetneq\>>>|<cell|<math|\<blacktrianglerighteqslant\>>>>>>>>>
      Emulation of various mathematical symbols in various fonts.
    </big-figure>
  </hidden>|<\hidden>
    <tit|Rubber characters>

    \;

    <\big-figure>
      <with|font-family|rm|<math|<tabular*|<tformat|<cwith|2|2|1|-1|font|American
      Typewriter>|<cwith|3|3|1|-1|font|Didot>|<cwith|4|4|1|-1|font|Essays1743>|<cwith|5|5|1|-1|font|Optima>|<cwith|6|6|1|-1|font|Chalkboard>|<cwith|7|7|1|-1|font|Chalkduster>|<cwith|8|8|1|-1|font|Papyrus>|<table|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons-20\>>|<cell|\<rubber-mapsto-20\>>>|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons-20\>>|<cell|\<rubber-mapsto-20\>>>|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons*-20\>>|<cell|\<rubber-mapsto*-20\>>>|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons-20\>>|<cell|\<rubber-mapsto-20\>>>|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons-20\>>|<cell|\<rubber-mapsto-20\>>>|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons*-20\>>|<cell|\<rubber-mapsto*-20\>>>|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons*-20\>>|<cell|\<rubber-mapsto*-20\>>>|<row|<cell|\<rubber-Leftarrow-20\>>|<cell|\<rubber-leftrightharpoons-20\>>|<cell|\<rubber-mapsto-20\>>>>>>><space|2em><tabular*|<tformat|<cwith|1|1|2|2|cell-halign|r>|<cwith|2|2|2|2|cell-halign|r>|<cwith|3|3|2|2|cell-halign|r>|<cwith|4|4|2|2|cell-halign|r>|<cwith|5|5|2|2|cell-halign|r>|<cwith|6|6|2|2|cell-halign|r>|<cwith|2|2|1|-1|font|American
      Typewriter>|<cwith|3|3|1|-1|font|Didot>|<cwith|4|4|1|-1|font|Chalkboard>|<cwith|5|5|1|-1|font|Chalkduster>|<cwith|6|6|1|-1|font|Papyrus>|<table|<row|<cell|<math|<op|<big|sum>>>>|<cell|<math|<with|math-display|true|<op|<big|sum>>>>>|<cell|<math|<with|math-display|true|<op|<big|prod>>>>>|<cell|<math|<op|<big|prod>>>>>|<row|<cell|<math|<op|<big|sum>>>>|<cell|<math|<with|math-display|true|<op|<big|sum>>>>>|<cell|<math|<with|math-display|true|<op|<big|prod>>>>>|<cell|<math|<op|<big|prod>>>>>|<row|<cell|<math|<op|<big|sum>>>>|<cell|<math|<with|math-display|true|<op|<big|sum>>>>>|<cell|<math|<with|math-display|true|<op|<big|prod>>>>>|<cell|<math|<op|<big|prod>>>>>|<row|<cell|<math|<op|<big|sum>>>>|<cell|<math|<with|math-display|true|<op|<big|sum>>>>>|<cell|<math|<with|math-display|true|<op|<big|prod>>>>>|<cell|<math|<op|<big|prod>>>>>|<row|<cell|<math|<op|<big|sum>>>>|<cell|<math|<with|math-display|true|<op|<big|sum>>>>>|<cell|<math|<with|math-display|true|<op|<big|prod>>>>>|<cell|<math|<op|<big|prod>>>>>|<row|<cell|<math|<op|<big|sum>>>>|<cell|<math|<with|math-display|true|<op|<big|sum>>>>>|<cell|<math|<with|math-display|true|<op|<big|prod>>>>>|<cell|<math|<op|<big|prod>>>>>>>><space|1em><math|<with|font|Chalkduster|<around*|\<lfloor\>|<tabular*|<tformat|<cwith|2|2|1|-1|font|American
      Typewriter>|<cwith|3|3|1|-1|font|Didot>|<cwith|4|4|1|-1|font|Essays1743>|<cwith|1|1|1|-1|font|Chalkboard>|<cwith|1|-1|1|-1|cell-lsep|0.25spc>|<cwith|1|-1|1|-1|cell-rsep|0.25spc>|<cwith|5|5|1|2|cell-lsep|0.25spc>|<cwith|5|5|1|2|cell-rsep|0.25spc>|<cwith|5|5|1|2|font|TriangleETcircle
      Shadowed>|<table|<row|<cell|<around|<left|(|3>|<around|<left|(|2>|<around|<left|(|1>|<around|(||)>|<right|)|1>>|<right|)|2>>|<right|)|3>>>|<cell|<around|<left|{|3>|<around|<left|{|2>|<around|<left|{|1>|<around|{||}>|<right|}|1>>|<right|}|2>>|<right|}|3>>>>|<row|<cell|<around|<left|(|3>|<around|<left|(|2>|<around|<left|(|1>|<around|(||)>|<right|)|1>>|<right|)|2>>|<right|)|3>>>|<cell|<around|<left|{|3>|<around|<left|{|2>|<around|<left|{|1>|<around|{||}>|<right|}|1>>|<right|}|2>>|<right|}|3>>>>|<row|<cell|<around|<left|(|3>|<around|<left|(|2>|<around|<left|(|1>|<around|(||)>|<right|)|1>>|<right|)|2>>|<right|)|3>>>|<cell|<around|<left|{|3>|<around|<left|{|2>|<around|<left|{|1>|<around|{||}>|<right|}|1>>|<right|}|2>>|<right|}|3>>>>|<row|<cell|<around|<left|(|3>|<around|<left|(|2>|<around|<left|(|1>|<around|(||)>|<right|)|1>>|<right|)|2>>|<right|)|3>>>|<cell|<around|<left|{|4>|<around|<left|{|3>|<around|<left|{|2>|<around|<left|{|1>||<right|}|1>>|<right|}|2>>|<right|}|3>>|<right|}|4>>>>|<row|<cell|<around|<left|(|3>|<around|<left|(|2>|<around|<left|(|1>|<around|(||)>|<right|)|1>>|<right|)|2>>|<right|)|3>>>|<cell|<around|<left|{|3>|<around|<left|{|2>|<around|<left|{|1>|<around|{||}>|<right|}|1>>|<right|}|2>>|<right|}|3>>>>>>>|\<rceil\>>>>>

      \;
    </big-figure|Assorted rubber symbols from various fonts.>
  </hidden>|<\hidden>
    <tit|Conclusions>

    \;

    <\description>
      <unroll|<\shown>
        <item*|Main news>

        Medium quality scientific typesetting possible using a variety of
        fonts.<vspace|1fn>
      </shown>|<\hidden*>
        <item*|Fingerprint of a font>

        Reconstruction of essentially all mathematical symbols from a few
        ones:

        <\equation*>
          +<separating-space|1em>=<separating-space|1em>\<sim\><separating-space|1em>\<less\><separating-space|1em>\<prec\><separating-space|1em>\<subset\><separating-space|1em><math-ordinary|<text|\O
          or >\<rightarrow\>><separating-space|1em>.<separating-space|1em>\<circ\><separating-space|1em><math-ordinary|<text|^>><separating-space|1em><around*|(|\<nosymbol\>|\<nobracket\>><separating-space|1em><around*|[|\<nosymbol\>|\<nobracket\>><separating-space|1em><around*|{|\<nosymbol\>|\<nobracket\>>
        </equation*>
      </hidden*>|<\hidden*>
        <item*|To do>

        <\itemize>
          <item>Toolkit for automatic analysis of fonts.

          <item>Toolkit for automatic transformations of fonts.

          <item>Systematically base such toolkits on vector graphics.
        </itemize>
      </hidden*>>
    </description>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|info-flag|none>
    <associate|page-medium|beamer>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-2|<tuple|2|?>>
    <associate|auto-3|<tuple|3|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|figure>
      <\tuple|normal>
        Emulation of bold, italic, small capitals and blackboard bold.

        <no-indent>* These declinations are already supported by the original
        font.
      </tuple|<pageref|auto-1>>
    </associate>
  </collection>
</auxiliary>